aboutsummaryrefslogtreecommitdiff
path: root/bootstrap
diff options
context:
space:
mode:
authorJavier Sepulveda <javier.sepulveda@uv.es>2023-07-10 09:13:59 +0200
committerJavier Sepulveda <javier.sepulveda@uv.es>2023-07-10 09:13:59 +0200
commit55cceac914977551f4e9a63034d2373eccd0bffd (patch)
treed8686694be8842a6a8bb5b462fd254d163f6368a /bootstrap
downloadtaler-ops-www-55cceac914977551f4e9a63034d2373eccd0bffd.tar.gz
taler-ops-www-55cceac914977551f4e9a63034d2373eccd0bffd.tar.bz2
taler-ops-www-55cceac914977551f4e9a63034d2373eccd0bffd.zip
Initial replicated files (excluding hidden ones) from taler-systems-www
Diffstat (limited to 'bootstrap')
-rwxr-xr-xbootstrap18
1 files changed, 18 insertions, 0 deletions
diff --git a/bootstrap b/bootstrap
new file mode 100755
index 0000000..774b2eb
--- /dev/null
+++ b/bootstrap
@@ -0,0 +1,18 @@
+#!/bin/sh
+
+# Bootstrap the repository. Used when the repository is checked out from git.
+# When using the source tarball, running this script is not necessary.
+
+set -eu
+
+if ! git --version >/dev/null; then
+ echo "git not installed"
+ exit 1
+fi
+
+git submodule update --init
+git submodule update --recursive
+git submodule sync
+
+cp build-system/taler-build-scripts/configure ./configure || true
+cp build-system/taler-build-scripts/conf/.style.yapf .style.yapf || true